#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kconfigldapview_base.ui'
**
** Created: Fri Aug 31 17:47:12 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kconfigldapview_base.h"

#include <qvariant.h>
#include <qsplitter.h>
#include <qheader.h>
#include <qlistview.h>
#include <qtable.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a kconfigldapview_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
kconfigldapview_base::kconfigldapview_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "kconfigldapview_base" );
    kconfigldapview_baseLayout = new QGridLayout( this, 1, 1, 11, 6, "kconfigldapview_baseLayout"); 

    splitter5 = new QSplitter( this, "splitter5" );
    splitter5->setOrientation( QSplitter::Horizontal );

    splitter4 = new QSplitter( splitter5, "splitter4" );
    splitter4->setMinimumSize( QSize( 200, 118 ) );
    splitter4->setOrientation( QSplitter::Vertical );

    appList = new QListView( splitter4, "appList" );
    appList->addColumn( tr2i18n( "Applications" ) );
    appList->header()->setClickEnabled( FALSE, appList->header()->count() - 1 );
    appList->header()->setResizeEnabled( FALSE, appList->header()->count() - 1 );
    appList->setMinimumSize( QSize( 200, 0 ) );
    appList->setDragAutoScroll( FALSE );

    resourceList = new QListView( splitter4, "resourceList" );
    resourceList->addColumn( tr2i18n( "Resources" ) );
    resourceList->header()->setClickEnabled( FALSE, resourceList->header()->count() - 1 );
    resourceList->header()->setResizeEnabled( FALSE, resourceList->header()->count() - 1 );
    resourceList->setRootIsDecorated( TRUE );

    itemTable = new QTable( splitter5, "itemTable" );
    itemTable->setNumCols( itemTable->numCols() + 1 );
    itemTable->horizontalHeader()->setLabel( itemTable->numCols() - 1, tr2i18n( "Entry" ) );
    itemTable->setNumCols( itemTable->numCols() + 1 );
    itemTable->horizontalHeader()->setLabel( itemTable->numCols() - 1, tr2i18n( "Type" ) );
    itemTable->setNumCols( itemTable->numCols() + 1 );
    itemTable->horizontalHeader()->setLabel( itemTable->numCols() - 1, tr2i18n( "Value" ) );
    itemTable->setLineWidth( 2 );
    itemTable->setMargin( 0 );
    itemTable->setResizePolicy( QTable::AutoOneFit );
    itemTable->setNumRows( 0 );
    itemTable->setNumCols( 3 );
    itemTable->setShowGrid( FALSE );
    itemTable->setSelectionMode( QTable::Single );

    kconfigldapview_baseLayout->addWidget( splitter5, 0, 0 );
    languageChange();
    resize( QSize(728, 662).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( appList, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( updateResourceListView(QListViewItem*) ) );
    connect( resourceList, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( updateDataTable(QListViewItem*) ) );
    connect( itemTable, SIGNAL( valueChanged(int,int) ), this, SLOT( updateItem(int,int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
kconfigldapview_base::~kconfigldapview_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void kconfigldapview_base::languageChange()
{
    setCaption( tr2i18n( "kconfigldap_base" ) );
    appList->header()->setLabel( 0, tr2i18n( "Applications" ) );
    resourceList->header()->setLabel( 0, tr2i18n( "Resources" ) );
    itemTable->horizontalHeader()->setLabel( 0, tr2i18n( "Entry" ) );
    itemTable->horizontalHeader()->setLabel( 1, tr2i18n( "Type" ) );
    itemTable->horizontalHeader()->setLabel( 2, tr2i18n( "Value" ) );
}

void kconfigldapview_base::updateResourceListView(QListViewItem*)
{
    qWarning( "kconfigldapview_base::updateResourceListView(QListViewItem*): Not implemented yet" );
}

void kconfigldapview_base::updateDataTable(QListViewItem*)
{
    qWarning( "kconfigldapview_base::updateDataTable(QListViewItem*): Not implemented yet" );
}

void kconfigldapview_base::updateItem(int,int)
{
    qWarning( "kconfigldapview_base::updateItem(int,int): Not implemented yet" );
}

#include "kconfigldapview_base.moc"
