/***************************************************************************
 *   Copyright (C) 2007 by Helio Chissini de Castro   *
 *   helio@mandriva.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef QCOLORTABLEITEM_H
#define QCOLORTABLEITEM_H

#include <qtable.h>

class KColorButton;

/**
	@author Helio Chissini de Castro <helio@mandriva.com>
*/
class QColorTableItem : public QTableItem
{
	public:
		QColorTableItem ( QTable *t, EditType et, const QString &txt, const QColor& c );
		QWidget *createEditor() const;
		void setContentFromEditor( QWidget *w );
		virtual void setText( const QString &s );
		virtual QString text() const;
	private:
		QColor color;
		KColorButton *colorButton;
};

#endif
