#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kconfigldapldif_base.ui'
**
** Created: Fri Aug 31 17:47:12 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kconfigldapldif_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "klineedit.h"

/*
 *  Constructs a kconfigldapldif_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
kconfigldapldif_base::kconfigldapldif_base( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "kconfigldapldif_base" );
    kconfigldapldif_baseLayout = new QGridLayout( this, 1, 1, 11, 6, "kconfigldapldif_baseLayout"); 

    ldifList = new QListView( this, "ldifList" );
    ldifList->addColumn( tr2i18n( "Resource" ) );

    kconfigldapldif_baseLayout->addWidget( ldifList, 0, 0 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    kconfigldapldif_baseLayout->addLayout( Layout1, 3, 0 );

    ldifSuffixResult = new QLabel( this, "ldifSuffixResult" );
    QFont ldifSuffixResult_font(  ldifSuffixResult->font() );
    ldifSuffixResult_font.setBold( TRUE );
    ldifSuffixResult->setFont( ldifSuffixResult_font ); 
    ldifSuffixResult->setFrameShape( QLabel::StyledPanel );

    kconfigldapldif_baseLayout->addWidget( ldifSuffixResult, 2, 0 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    textLabel2_2 = new QLabel( this, "textLabel2_2" );
    layout4->addWidget( textLabel2_2 );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout4->addWidget( textLabel2 );
    layout5->addLayout( layout4 );

    layout3 = new QVBoxLayout( 0, 0, 6, "layout3"); 

    ldifGroup = new KComboBox( FALSE, this, "ldifGroup" );
    ldifGroup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, ldifGroup->sizePolicy().hasHeightForWidth() ) );
    ldifGroup->setMinimumSize( QSize( 335, 0 ) );
    ldifGroup->setEditable( TRUE );
    layout3->addWidget( ldifGroup );

    ldifSuffix = new KComboBox( FALSE, this, "ldifSuffix" );
    ldifSuffix->setMinimumSize( QSize( 335, 0 ) );
    ldifSuffix->setEditable( TRUE );
    layout3->addWidget( ldifSuffix );
    layout5->addLayout( layout3 );

    kconfigldapldif_baseLayout->addLayout( layout5, 1, 0 );
    languageChange();
    resize( QSize(462, 635).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( ldifGroup, SIGNAL( textChanged(const QString&) ), this, SLOT( suffixChanged() ) );
    connect( ldifSuffix, SIGNAL( textChanged(const QString&) ), this, SLOT( suffixChanged() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
kconfigldapldif_base::~kconfigldapldif_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void kconfigldapldif_base::languageChange()
{
    setCaption( tr2i18n( "Select resources to be exported and immutable state" ) );
    ldifList->header()->setLabel( 0, tr2i18n( "Resource" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    ldifSuffixResult->setText( QString::null );
    textLabel2_2->setText( tr2i18n( "KDE Profile Name:" ) );
    textLabel2->setText( tr2i18n( "LDAP Suffix:" ) );
    ldifGroup->clear();
    ldifGroup->insertItem( tr2i18n( "ou=default" ) );
    ldifSuffix->clear();
    ldifSuffix->insertItem( tr2i18n( "dc=example,dc=com" ) );
}

void kconfigldapldif_base::suffixChanged()
{
    qWarning( "kconfigldapldif_base::suffixChanged(): Not implemented yet" );
}

#include "kconfigldapldif_base.moc"
